### Method

# RB RhythmDB entry_delete_by_type

#### Declaration [src]

    void
    rhythmdb_entry_delete_by_type (
      RhythmDB* db,
      RhythmDBEntryType* type
    )

#### Description [src]

Delete all entries from the database of the given type. This is usually used by non-permanent sources when they disappear, such as removable media being removed, or a network share becoming unavailable.

#### Parameters

`type`

  Type: `RhythmDBEntryType`

  Type of entried to delete.

  The data is owned by the caller of the method.